Get messages for a specific inbox.
curl --request GET \
--url https://api.parallellabs.app/api/v0/inboxes/{inboxId}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/inboxes/{inboxId}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/inboxes/{inboxId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"body": "<string>",
"created": 123,
"id": "<string>",
"inboxId": "<string>",
"messageType": "<string>",
"recipient": "<string>",
"replied": true,
"repliedDate": 123,
"sender": "<string>",
"senderName": "<string>",
"subject": "<string>"
}
],
"total": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Inbox
Get messages for a specific inbox.
GET
/
api
/
v0
/
inboxes
/
{inboxId}
/
messages
Get messages for a specific inbox.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Query Parameters
Company ID
Page number
Items per page
Search query to filter messages
Comma-separated message types: received, sent_compose, sent_reply, draft
Comma-separated inbox IDs to filter by
⌘I

